### Method

# Gsk Transformto_affine

#### Declaration [src]

    void
    gsk_transform_to_affine (
      GskTransform* self,
      float* out_scale_x,
      float* out_scale_y,
      float* out_dx,
      float* out_dy
    )

#### Description [src]

Converts a `GskTransform` to 2D affine transformation factors.

To recreate an equivalent transform from the factors returned by this function, use

    gsk_transform_scale (gsk_transform_translate (NULL,
                                                  &GRAPHENE_POINT_T (dx, dy)),
                         sx, sy)

`self` must be a 2D affine transformation. If you are not sure, use

    `gsk_transform_get_category()` >= `GSK_TRANSFORM_CATEGORY_2D_AFFINE`

to check.

#### Parameters

`out_scale_x`

  Type: `float*`

  Return location for the scale factor in the x direction.

  The argument will be set by the function.

`out_scale_y`

  Type: `float*`

  Return location for the scale factor in the y direction.

  The argument will be set by the function.

`out_dx`

  Type: `float*`

  Return location for the translation in the x direction.

  The argument will be set by the function.

`out_dy`

  Type: `float*`

  Return location for the translation in the y direction.

  The argument will be set by the function.